Skip to main content
`Ctrl`+`K`

# PetscBagGetName

Gets the name of a bag of values

## Synopsis

    #include "petscbag.h"
    PetscErrorCode PetscBagGetName(PetscBag bag, const char **name)

Not Collective

## Input Parameter

- bag - the bag of values

## Output Parameter

- name - the name assigned to the bag

## See Also

`PetscBag`, `PetscBagSetName()`, `PetscBagView()`, `PetscBagLoad()`, `PetscBagGetData()` `PetscBagRegisterReal()`, `PetscBagRegisterInt()`, `PetscBagRegisterBool()`, `PetscBagRegisterScalar()` `PetscBagSetFromOptions()`, `PetscBagCreate()`, `PetscBagDestroy()`, `PetscBagRegisterEnum()`

## Level

intermediate

## Location

src/sys/classes/bag/bag.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages